Bug 886312 - Routing table is not updated when ethernet cable is plugged in
Summary: Routing table is not updated when ethernet cable is plugged in
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-12 01:51 UTC by Konstantin Svist
Modified: 2014-02-06 10:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-06 10:43:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 723730 None None None Never

Description Konstantin Svist 2012-12-12 01:51:42 UTC
Description of problem:
If, while connected over wifi, ethernet connection is made, routing table is not properly updated

Version-Release number of selected component (if applicable):


How reproducible:
Every time


Steps to Reproduce:
1. Boot a laptop without ethernet, have it connected to a wifi network
2. Connect ethernet cable (same network)
3. Browse pages/check email/etc.
  
Actual results:
Wifi route is stuck as the default in the routing table, so network connection is not working right.


Expected results:
routing table should become exactly same as it would've been if laptop was booted up with wifi and ethernet enabled and plugged in, respectively.


Additional info:
Turning wifi off and then back on seems to work around the problem because the wifi interface gateway is removed when wifi is disabled. When re-added, wifi doesn't override ethernet gateway (correct behavior)

Comment 1 Jirka Klimes 2012-12-14 10:58:52 UTC
It works for me. 
What NM version do you use?

Make sure "Use this connection only for resources on its networks" is not checked in the editor (IPv4 Settings, Routes...).

Would you, please, collect more information for us?
1. your connections data
nmcli -f connection,ipv4 con l id "your ethernet connection name"
nmcli -f connection,ipv4 con l id "your Wi-Fi connection name"

'never-default' option should be 'no'.

2. /var/log/messages

Comment 2 Konstantin Svist 2012-12-14 12:16:45 UTC
0.9.6.4
not checked

connection.id:                          Wired connection 1
connection.uuid:                        8f8ffb67-599c-45fb-8c2d-98410ca064c1
connection.type:                        802-3-ethernet
connection.autoconnect:                 yes
connection.timestamp:                   1355487105
connection.read-only:                   no
connection.permissions:                 

connection.id:                          Auto CoRouter
connection.uuid:                        bf23e0e8-2ce4-4b80-8a8e-4ac8dca8303e
connection.type:                        802-11-wireless
connection.autoconnect:                 yes
connection.timestamp:                   1355486879
connection.read-only:                   no
connection.permissions:                 
ipv4.method:                            auto
ipv4.dns:                               
ipv4.dns-search:                        
ipv4.addresses:                         
ipv4.routes:                            
ipv4.ignore-auto-routes:                no
ipv4.ignore-auto-dns:                   no
ipv4.dhcp-client-id:                    --
ipv4.dhcp-send-hostname:                yes
ipv4.dhcp-hostname:                     --
ipv4.never-default:                     no
ipv4.may-fail:                          no


don't see a never-default option anywhere


on inserting the ethernet cable:

Dec 14 04:11:44 mireille kernel: [102378.251074] r8169 0000:05:00.0: p1p1: link up
Dec 14 04:11:44 mireille kernel: [102378.251096] IPv6: ADDRCONF(NETDEV_CHANGE): p1p1: link becomes ready
Dec 14 04:11:44 mireille NetworkManager[540]: <info> (p1p1): carrier now ON (device state 20)
Dec 14 04:11:44 mireille NetworkManager[540]: <info> (p1p1): device state change: unavailable -> disconnected (reason 'carrier-changed') [20 30 40]
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Auto-activating connection 'Wired connection 1'.
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) starting connection 'Wired connection 1'
Dec 14 04:11:44 mireille NetworkManager[540]: <info> (p1p1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 1 of 5 (Device Prepare) scheduled...
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 1 of 5 (Device Prepare) started...
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 2 of 5 (Device Configure) scheduled...
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 1 of 5 (Device Prepare) complete.
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 2 of 5 (Device Configure) starting...
Dec 14 04:11:44 mireille NetworkManager[540]: <info> (p1p1): device state change: prepare -> config (reason 'none') [40 50 0]
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 2 of 5 (Device Configure) successful.
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 3 of 5 (IP Configure Start) scheduled.
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 2 of 5 (Device Configure) complete.
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 3 of 5 (IP Configure Start) started...
Dec 14 04:11:44 mireille NetworkManager[540]: <info> (p1p1): device state change: config -> ip-config (reason 'none') [50 70 0]
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Beginning DHCPv4 transaction (timeout in 45 seconds)
Dec 14 04:11:44 mireille NetworkManager[540]: <info> dhclient started with pid 30973
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Beginning IP6 addrconf.
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 3 of 5 (IP Configure Start) complete.
Dec 14 04:11:44 mireille dhclient[30973]: Internet Systems Consortium DHCP Client 4.2.4-P2
Dec 14 04:11:44 mireille dhclient[30973]: Copyright 2004-2012 Internet Systems Consortium.
Dec 14 04:11:44 mireille dhclient[30973]: All rights reserved.
Dec 14 04:11:44 mireille dhclient[30973]: For info, please visit https://www.isc.org/software/dhcp/
Dec 14 04:11:44 mireille dhclient[30973]: 
Dec 14 04:11:44 mireille NetworkManager[540]: <info> (p1p1): DHCPv4 state changed nbi -> preinit
Dec 14 04:11:44 mireille dhclient[30973]: Listening on LPF/p1p1/04:7d:7b:03:26:ee
Dec 14 04:11:44 mireille dhclient[30973]: Sending on   LPF/p1p1/04:7d:7b:03:26:ee
Dec 14 04:11:44 mireille dhclient[30973]: Sending on   Socket/fallback
Dec 14 04:11:44 mireille dhclient[30973]: DHCPDISCOVER on p1p1 to 255.255.255.255 port 67 interval 5 (xid=0x148edebd)
Dec 14 04:11:44 mireille dhclient[30973]: DHCPREQUEST on p1p1 to 255.255.255.255 port 67 (xid=0x148edebd)
Dec 14 04:11:44 mireille dhclient[30973]: DHCPOFFER from 192.168.1.3
Dec 14 04:11:44 mireille dhclient[30973]: DHCPACK from 192.168.1.3 (xid=0x148edebd)
Dec 14 04:11:44 mireille dhclient[30973]: bound to 192.168.0.216 -- renewal in 791996543 seconds.
Dec 14 04:11:44 mireille NetworkManager[540]: <info> (p1p1): DHCPv4 state changed preinit -> bound
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   address 192.168.0.216
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   prefix 21 (255.255.248.0)
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   gateway 192.168.1.1
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   hostname 'mireille'
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   nameserver '192.168.1.2'
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   nameserver '192.168.1.3'
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   nameserver '192.168.1.11'
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   nameserver '192.168.1.12'
Dec 14 04:11:44 mireille NetworkManager[540]: <info>   domain name 'relevad.lan'
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 5 of 5 (IPv4 Configure Commit) scheduled...
Dec 14 04:11:44 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 5 of 5 (IPv4 Commit) started...
Dec 14 04:11:44 mireille avahi-daemon[547]: Joining mDNS multicast group on interface p1p1.IPv4 with address 192.168.0.216.
Dec 14 04:11:44 mireille avahi-daemon[547]: New relevant interface p1p1.IPv4 for mDNS.
Dec 14 04:11:44 mireille avahi-daemon[547]: Registering new address record for 192.168.0.216 on p1p1.IPv4.
Dec 14 04:11:45 mireille NetworkManager[540]: <info> (p1p1): device state change: ip-config -> activated (reason 'none') [70 100 0]
Dec 14 04:11:45 mireille NetworkManager[540]: <info> Policy set 'Wired connection 1' (p1p1) as default for IPv4 routing and DNS.
Dec 14 04:11:45 mireille NetworkManager[540]: <info> Activation (p1p1) successful, device activated.
Dec 14 04:11:45 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 5 of 5 (IPv4 Commit) complete.
Dec 14 04:11:45 mireille dbus-daemon[566]: dbus[566]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Dec 14 04:11:45 mireille dbus[566]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Dec 14 04:11:45 mireille dbus-daemon[566]: dbus[566]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Dec 14 04:11:45 mireille dbus[566]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Dec 14 04:11:45 mireille ntpd[650]: Listen normally on 6 p1p1 192.168.0.216 UDP 123
Dec 14 04:11:45 mireille ntpd[650]: 169.229.70.95 interface 192.168.0.211 -> 192.168.0.216
Dec 14 04:11:45 mireille ntpd[650]: 208.87.221.228 interface 192.168.0.211 -> 192.168.0.216
Dec 14 04:11:45 mireille ntpd[650]: 199.102.46.73 interface 192.168.0.211 -> 192.168.0.216
Dec 14 04:11:45 mireille ntpd[650]: 212.70.148.19 interface 192.168.0.211 -> 192.168.0.216
Dec 14 04:11:45 mireille ntpd[650]: peers refreshed
Dec 14 04:11:45 mireille avahi-daemon[547]: Registering new address record for fe80::67d:7bff:fe03:26ee on p1p1.*.
Dec 14 04:11:47 mireille ntpd[650]: Listen normally on 7 p1p1 fe80::67d:7bff:fe03:26ee UDP 123
Dec 14 04:11:47 mireille ntpd[650]: peers refreshed
Dec 14 04:12:03 mireille NetworkManager[540]: <info> (p1p1): IP6 addrconf timed out or failed.
Dec 14 04:12:03 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 4 of 5 (IPv6 Configure Timeout) scheduled...
Dec 14 04:12:03 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 4 of 5 (IPv6 Configure Timeout) started...
Dec 14 04:12:03 mireille NetworkManager[540]: <info> Activation (p1p1) Stage 4 of 5 (IPv6 Configure Timeout) complete.

messed up routing table:
[root@mireille ~]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
0.0.0.0         192.168.1.1     0.0.0.0         UG    0      0        0 p1p1
192.168.0.0     0.0.0.0         255.255.248.0   U     0      0        0 wlan0
192.168.0.0     0.0.0.0         255.255.248.0   U     0      0        0 p1p1


fixed routing table:
[root@mireille ~]# route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
0.0.0.0         192.168.1.1     0.0.0.0         UG    0      0        0 p1p1
192.168.0.0     0.0.0.0         255.255.248.0   U     0      0        0 p1p1
192.168.0.0     0.0.0.0         255.255.248.0   U     0      0        0 wlan0

Comment 3 Peter Oliver 2013-01-26 15:45:29 UTC
The issue seems to be that a metric is no-longer set for the routes:

Fedora 16:
$ ip route
default via 192.168.1.1 dev em1  proto static
192.168.1.0/24 dev em1  proto kernel  scope link  src 192.168.1.147  metric 1
192.168.1.0/24 dev wlan0  proto kernel  scope link  src 192.168.1.146  metric 9

Fedora 18 on the same hardware:
$ ip route
default via 192.168.1.1 dev em1  proto static 
192.168.1.0/24 dev wlan0  proto kernel  scope link  src 192.168.1.146 
192.168.1.0/24 dev em1  proto kernel  scope link  src 192.168.1.147 

See also this nice write-up of the same symptoms on Linux Mint: https://bugs.launchpad.net/linuxmint/+bug/1012211

Comment 4 Fedora End Of Life 2013-07-03 22:05:16 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Konstantin Svist 2013-07-03 22:30:09 UTC
Issue is still present on Fedora 18 (all updates applied)
Didn't test F19 yet, but probably same thing

Comment 6 Fedora End Of Life 2013-12-21 09:51:53 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Peter Oliver 2013-12-21 17:09:42 UTC
Work for me in Fedora 19.

Comment 8 Konstantin Svist 2014-01-07 23:38:37 UTC
I'm in Fedora 20 now, pretty sure the bug is still present
Let me know if additional info is necessary

Comment 9 Fedora End Of Life 2014-02-05 23:18:21 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Konstantin Svist 2014-02-05 23:38:40 UTC
Present in F20

Comment 11 Thomas Haller 2014-02-06 10:43:51 UTC
This *was* a problem, got fixed and reappeared.

The original problem was fixed, for the regression please comment on bug 1050546 for F20, rawhide. Also see upstream bug at https://bugzilla.gnome.org/show_bug.cgi?id=723178


Note You need to log in before you can comment on or make changes to this bug.